Share account connection | Moov Documentation
Share account connection
Shares access scopes from the account specified to the caller, establishing a connection between the two accounts with the specified permissions.
Request
POST
/accounts/{accountID}/connections
Example Request - cURL
curl -X POST "https://api.moov.io/accounts/{accountID}/connections" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00" \
-d '{
"principalAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69"
}'
Example Request - TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accounts.connect({
accountID: "456cb5b6-20dc-4585-97b4-745d013adb1f",
shareScopes: {
principalAccountID: "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
allowScopes: [
"transfers.write",
"payment-methods.read",
],
},
});
console.log(result);
}
run();
Example Request - PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\